XCB 1.12

Data Fields
xcb_input_device_state_data_t Struct Reference
XCB Input API

xcb_input_device_state_data_t More...

`#include <xinput.h>`

## Data Fields
struct {
uint32_t num_valuators
uint32_t * resolution_values
uint32_t * resolution_min
uint32_t * resolution_max
} | resolution
struct {
int32_t min_x
int32_t max_x
int32_t min_y
int32_t max_y
uint32_t flip_x
uint32_t flip_y
uint32_t rotation
uint32_t button_threshold
} | abs_calib
struct {
uint8_t status
uint8_t iscore
uint8_t pad0 [2]
} | core
struct {
uint8_t enable
uint8_t pad1 [3]
} | enable
struct {
uint32_t offset_x
uint32_t offset_y
uint32_t width
uint32_t height
uint32_t screen
uint32_t following
} | abs_area

## Detailed Description

xcb_input_device_state_data_t

The documentation for this struct was generated from the following file:

- xinput.h